$('.switchActive').wrapInner('<div class="swiActive"></div>');
$('.gTableTop').html($('.forumNamesBar').html());
$('.switches').css('margin-bottom', '5px');

$('.threadLastPostTd').each(function(){
var thi = [$(this).find('a:last'),$(this).find('a:first').addClass('south')];
$(this).html('').append(thi[0]); $(this).append('<div style="margin: 2px 0;"></div>'); $(this).append(thi[1]);
});





$('.gTable tr').eq(0).after('<tr><td colspan="7"><table width="100%" cellspacing="0" cellpadding="0" border="0" id="btns"></table></td></tr>');

if($('.gTableTop').text().split('»')[1]==' Ленточный вариант форума'){
$('.forumNamesBar').parent().parent().parent().parent().parent().parent().parent().hide();

$('table.switches:first').parent().parent().parent().appendTo('#btns');
$('.funcBlock').after('<div id="searchQ"></div>');
$('.fFastSearchTd').parent().parent().parent().parent().appendTo('#searchQ');
}else{
$('.forumNamesBar').parent().parent().parent().hide();
$('.frmBtns').parent().parent().parent().appendTo('#btns');
}

if($('.gTableTop').text().split('»')[1].split('участника [')[0]==' Записи '){
$('.switches:last').parent().next().wrapInner('<div id="searchQ"></div>');
$('.fFastSearchTd').parent().parent().parent().parent().appendTo('#searchQ');
}

 $(".threadPostTd").each(function(){ 
 var datka = [$(this).text(),$(this).next().text()]; 

 dat = function(number, one, two, five) { number = Math.abs(number); number %= 100; if (number >= 5 && number <= 20) {return five;} number %= 10; if (number == 1) {return one;} if (number >= 2 && number <= 4) {return two;} return five;} 
 $(this).html('<div class="forumdiv">'+datka[1]+' просмотров</div><div class="forumdiv">'+datka[0]+' ответов</div>'); 
 }).next().hide(); 
